Subject: Re: bug#17713: Compressed Forms of 'backtrace' and 'bt full' output

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Jun 2014 10:56:31 +0300

> From: David Kastrup <[email-masked]>
> Date: Fri, 06 Jun 2014 09:33:59 +0200
> 
> Geoff Shannon <[email-masked]> writes:
> 
> > So I've got a hung emacs that I have attached to in a debugger.  I opened a
> > new emacs to use report-emacs-bug; following the instructions I was going
> > to include the output of 'bt full'.  Except that it's about 17500 lines
> > long...
> >
> > I took a look at the backtrace as well, and of the 3800 calls on the
> > list, ~3700 of them are from either mark_object or mark_vectorlike.
> 
> There will be likely a lot of repetition here as this sounds like an
> infinite recursion.

I see no signs of infinite recursion in the backtrace, only some quite
deep recursion.  I've seen GC go as deep as 30K recursive calls to
mark_object, so that is quite normal, certainly not unheard of.

> Just the end and the start of the traceback (enough to recognize the
> pattern in the middle) should be enough.  The traceback will likely
> be because of stack overflow.

If it's infinite recursion that hits stack overflow, Emacs will crash
due to SIGSEGV, I think.  Which I understand was not the case here.